# Class EmptyElement

#### Hierarchy (view full)

- XmlComponent
  - EmptyElement
    - NoBreakHyphen
    - SoftHyphen
    - DayShort
    - MonthShort
    - YearShort
    - DayLong
    - MonthLong
    - YearLong
    - AnnotationReference
    - FootnoteReferenceElement
    - EndnoteReference
    - Separator
    - ContinuationSeparator
    - PageNumberElement
    - CarriageReturn
    - Tab
    - LastRenderedPageBreak

- Defined in file/xml-components/simple-elements.ts:44

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

##
Constructors

### constructor

- new EmptyElement(rootKey): EmptyElement

- #### Parameters

  - rootKey: string

  #### Returns EmptyElement

  Inherited from XmlComponent.constructor

  - Defined in file/xml-components/xml-component.ts:10

##
Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20